/* *******************************************************************
   Webclient

   only purpose of the webclient in this sketch is to check if a host has an active webserver
   ***************************************************************** */

#pragma once
#include <ESP8266HTTPClient.h>   // comes with ESP core

int checkClient(byte octet) {
  WiFiClient client;
  HTTPClient http;
  int httpCode = -1;
  String uri = "http://" + (String)WiFi.localIP()[0] + '.' + (String)WiFi.localIP()[1] + '.' + (String)WiFi.localIP()[2] + '.' + octet;
  Serial.printf("[CLIENT] uri="); 
  Serial.print(uri);
  Serial.printf("... "); 
  if (http.begin(client, uri)) {
    httpCode = http.GET();
    if (httpCode > 0) {
      http.end();
    }
  }
  Serial.printf(" result= %d %s\n", httpCode, http.errorToString(httpCode).c_str());
  return httpCode;
}
//
